package cloudduggu.com;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

import java.util.Properties;

/**
 * main spring project deployment & build file. In this file we have configure kafka producer services details
 * and project server details
 *
 * @author Sarvesh Kumar (CloudDuggu.com)
 * @version 1.0
 * @Since 2020-11-07
 */

@SpringBootApplication
public class SpringKafkaProducer {

	public static void main(String[] args) {

		Properties properties = new Properties();
		properties.setProperty("server.port", "8081");
		properties.setProperty("spring.kafka.producer.bootstrap-servers", "localhost:9092");
		properties.setProperty("spring.kafka.producer.key-serializer", "org.apache.kafka.common.serialization.StringSerializer");
		properties.setProperty("spring.kafka.producer.value-serializer", "org.apache.kafka.common.serialization.StringSerializer");

		SpringApplication.run(SpringKafkaProducer.class, args);
	}
}